Get agent versions
curl --request GET \
--url https://api.callrounded.com/v1/agents/{agent_id}/versions \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.callrounded.com/v1/agents/{agent_id}/versions"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.callrounded.com/v1/agents/{agent_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"version": 123,
"configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"active": true
}
],
"message": "Agent versions retrieved successfully",
"error": {
"details": [
{
"field": "email",
"message": "Invalid email format"
}
],
"message": "An error occurred while processing your request",
"status": 400,
"type": "generic_error"
},
"status": 200
}agents
Get agent versions
Retrieve a list of all configuration versions for a specific agent, including both draft and published versions. The response includes headers about rate limiting.
GET
/
v1
/
agents
/
{agent_id}
/
versions
Get agent versions
Authorizations
The API Key created in Rounded Studio.
- You can create it by going to the "API Keys" settings of your profile.
- Need help? You can email us at team@callrounded.com or join our Discord community.
Path Parameters
The ID of the agent to get versions for.
Response
Successfully retrieved agent versions
The agent versions retrieved.
Show child attributes
Show child attributes
Response message indicating the result of the operation.
Show child attributes
Show child attributes
Example:
{
"details": [
{
"field": "email",
"message": "Invalid email format"
}
],
"message": "An error occurred while processing your request",
"status": 400,
"type": "generic_error"
}
HTTP status code of the response.